/**
 * @file m13_ra6m3_ek_pinout.h
 * @brief M13-RA6M3-EK board pinout definition and configuration tables
 *
 * @section License
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright (C) 2020-2021 M13DESIGN SARL. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @author M13DESIGN SARL (www.m13design.fr)
 * @version 1.0.0
 **/

#ifndef M13_RA6M3_EK_PINOUT_H_
#define M13_RA6M3_EK_PINOUT_H_

#include "r_ioport.h"

extern const ioport_pin_cfg_t m13_ra6m3_ek_lcd_pin_data[30];
extern const ioport_pin_cfg_t m13_ra6m3_ek_led_pin_data[3];
extern const ioport_pin_cfg_t m13_ra6m3_ek_switch_pin_data[2];
extern const ioport_pin_cfg_t m13_ra6m3_ek_i2c0_pin_data[2];
extern const ioport_pin_cfg_t m13_ra6m3_ek_sci6_pin_data[2];
extern const ioport_pin_cfg_t m13_ra6m3_ek_adc_pin_data[2];
extern const ioport_pin_cfg_t m13_ra6m3_ek_eth_pin_data[10];
extern const ioport_pin_cfg_t m13_ra6m3_ek_vcom_pin_data[2];
extern const ioport_pin_cfg_t m13_ra6m3_ek_irq6_pin_data[1];
extern const ioport_pin_cfg_t m13_ra6m3_ek_sdram_pin_data[39];
extern const ioport_pin_cfg_t m13_ra6m3_ek_qspi_pin_data[6];
extern const ioport_pin_cfg_t m13_ra6m3_ek_camera_pin_data[14];

#endif
