/**
 * @file m13_ra6m3_ek_sdram.h
 * @brief M13-RA6M3-EK SDRAM settings
 *
 * @section License
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright (C) 2020-2021 M13DESIGN SARL. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @author M13DESIGN SARL (www.m13design.fr)
 * @version 1.0.0
 **/

#ifndef _M13_RA6M3_EK_SDRAM_H
#define _M13_RA6M3_EK_SDRAM_H

//Dependencies

//SDRAM base address (cache enabled)
#define SDRAM_BASE_ADDR 0x90000000
//SDRAM base address (cache enabled)
#define SDRAM_BASE_ADDR_NO_CACHE 0x4C000000
//SDRAM size, in bytes
#define SDRAM_SIZE (32 * 1024 * 1024)

//SDRAM data bus mask
#define SDRAM_DATA_BUS_MASK 0xFFFF
//SDRAM address bus mask
#define SDRAM_ADDR_BUS_MASK 0x7FFF

//SDRAM mode register
//#define SDRAM_MODE_CS3 (*(volatile uint16_t *)(0x3FFFE040))

//SDRAM related functions

void bsp_sdram_init (void);
void bsp_sdram_io_init (void);

#endif
